/*
                    PROJETO: MAP MAKER
                    VERSÃO: 0.1
                    AUTOR: FÁBIO NEVES REZENDE
                    DATA DE INÍCIO: 02 / 03 / 2015


    Projeto:

        como vai funcionar:
            o usuário poderá selecionar qual tile ele quer inserir usando o mouse
            clicando na tela, o usuário insere o tile na posição x,y capturada de acordo com seu deslocamento
            os valores vão ser armazenados numa matriz NxM, que será convertido para uma imagem .png N pixesl por M pixels
            que será lido pelo programa principal



        funçoes:
            preenche_restante(?)
                preenche o resto do mapa não preenchido com algum tile aleatório de grama


*/



#include "main.h"
#include "main_protot.h"






using namespace std;

int main()
{
    printf("E assim começa mais um ciclo!\n");

    if(!al_init())
    {
        printf("Erro ao inicializar allegro\n");
        return -1;
    }

    //DECLARAÇÕES ALLEGRO:

    ALLEGRO_DISPLAY* display = NULL;
    display = al_create_display(LARGURA, ALTURA);

    pid_t pid = getpid();




    if(!display)
    {
        printf("Erro ao inicializar display\n");
        return -2;
    }

    char* titulo;
    titulo = (char*) malloc(60);
    sprintf(titulo, "Map Maker --- Versao: %1.2f --- pid: %d ---", VERSAO, pid);

    al_set_window_title(display, titulo);

    al_init_image_addon();
    al_install_keyboard();
    al_install_mouse();
    al_init_primitives_addon();
    al_init_font_addon();
    al_init_ttf_addon();


    ALLEGRO_EVENT_QUEUE *fila_de_eventos = al_create_event_queue();

    al_set_new_bitmap_format(ALLEGRO_PIXEL_FORMAT_ANY_32_WITH_ALPHA);

    al_set_new_bitmap_flags(ALLEGRO_MEMORY_BITMAP);

    ALLEGRO_BITMAP *mapa_final = al_create_bitmap(MAX_MAP_SIZE, MAX_MAP_SIZE);

    ALLEGRO_BITMAP *tiles1 = al_load_bitmap("res//tiles1.png");


    al_register_event_source(fila_de_eventos, al_get_keyboard_event_source());
    al_register_event_source(fila_de_eventos, al_get_display_event_source(display));
    al_register_event_source(fila_de_eventos, al_get_mouse_event_source());

    ALLEGRO_FONT *font1 = NULL;
    font1 = al_load_ttf_font("sans.ttf", 15, 1);


    //OUTRAS DECLARAÇÕES:

    bool rodando = true;

    float desloc_x = 0, desloc_y = 0;
    float click_x, click_y;

    int mapa[MAX_MAP_SIZE][MAX_MAP_SIZE];

    if(init_mapa(mapa)==ERR)
    {
        printf("Erro ao iniciar matriz\n");
        ccc
    }

    int pixel_x = 0, pixel_y = 0;

    bool draw_info = false;
    bool draw = false;



    while(rodando)
    {
        ALLEGRO_EVENT eventos;
        al_wait_for_event(fila_de_eventos, &eventos);
        draw = false;

        switch(eventos.type)
        {
            ccc
            case ALLEGRO_EVENT_DISPLAY_CLOSE:
                rodando = false;

            break;

            case ALLEGRO_EVENT_MOUSE_BUTTON_DOWN:
                click_x = eventos.mouse.x;
                click_y = eventos.mouse.y;
                draw = true;

                if(eventos.mouse.button & 1)
                {
                    pixel_x = floor(click_x/BLOCK_SIZE) + desloc_x;
                    pixel_y = floor(click_y/BLOCK_SIZE) + desloc_x;
                    draw_info = true;

                    /*
                        pixel_x e _y recebem qual posição na matriz de pixels ficará o local clicado na tela
                    */
                } else
                if(eventos.mouse.button & 2)
                {
                    draw = true;


                }
            break;


            case ALLEGRO_EVENT_KEY_DOWN:
                switch(eventos.keyboard.keycode)
                {
                    case ALLEGRO_KEY_DOWN:
                        desloc_y++;
                        draw = true;
                    break;
                    case ALLEGRO_KEY_UP:
                        desloc_y--;
                        draw = true;
                    break;
                    case ALLEGRO_KEY_LEFT:
                        desloc_x--;
                        draw = true;
                    break;
                    case ALLEGRO_KEY_RIGHT:
                        desloc_x++;
                        draw = true;
                    break;

                }


            break;

        }

        setbuf(stdin,NULL);


        if(draw)
        {

            draw_map_reg(mapa, desloc_x, desloc_y, tiles1);
        }


        print_info_display(font1, 8, 5, pixel_x, pixel_y, desloc_x, desloc_y);



        al_flip_display();
    }

    al_destroy_display(display);
    free(titulo);
    free(mapa);
    al_destroy_bitmap(mapa_final);
    al_destroy_font(font1);
    al_destroy_bitmap(tiles1);
    al_destroy_event_queue(fila_de_eventos);

    return 0;
}
