#ifndef TILE_MACROS_H
#define TILE_MACROS_H

//tiles de terra
#define TERRA1 0 * BLOCK_SIZE , 2 * BLOCK_SIZE

//tapetes e misc
#define TAPETE_VERMELHO 2 * BLOCK_SIZE , 0 * BLOCK_SIZE

//agua
#define AGUA 3 * BLOCK_SIZE , 0 * BLOCK_SIZE
#define AGUA2 0 * BLOCK_SIZE , 4 * BLOCK_SIZE

//gramas
#define GRAMA1 0 * BLOCK_SIZE , 0 * BLOCK_SIZE
#define GRAMA2 0 * BLOCK_SIZE , 1 * BLOCK_SIZE
#define GRAMA3 4 * BLOCK_SIZE , 1 * BLOCK_SIZE
#define GRAMA4 4 * BLOCK_SIZE , 2 * BLOCK_SIZE
#define GRAMA5 4 * BLOCK_SIZE , 3 * BLOCK_SIZE
#define GRAMA21 1 * BLOCK_SIZE , 4 * BLOCK_SIZE

//pisos
#define PISO5 3 * BLOCK_SIZE , 1 * BLOCK_SIZE
#define PISO_CIMENTO2 3 * BLOCK_SIZE , 2 * BLOCK_SIZE
#define PISO_MAIA 3 * BLOCK_SIZE , 3 * BLOCK_SIZE
#define PISO1 0 * BLOCK_SIZE , 3 * BLOCK_SIZE
#define PISO2 1 * BLOCK_SIZE , 0 * BLOCK_SIZE
#define PISO3 1 * BLOCK_SIZE , 1 * BLOCK_SIZE
#define PISO4 1 * BLOCK_SIZE , 2 * BLOCK_SIZE
#define PISO11 1 * BLOCK_SIZE , 3 * BLOCK_SIZE
#define PISO_XADREZ 2 * BLOCK_SIZE , 1 * BLOCK_SIZE
#define PISO_CIMENTO 2 * BLOCK_SIZE , 2 * BLOCK_SIZE
#define PISO12 2 * BLOCK_SIZE , 3 * BLOCK_SIZE
#define PISO_MADEIRA1 7 * BLOCK_SIZE , 2 * BLOCK_SIZE
#define PISO_MADEIRA2 7 * BLOCK_SIZE , 3 * BLOCK_SIZE


//escadas
#define ESCADA1 7 * BLOCK_SIZE , 1 * BLOCK_SIZE

//desert
#define DESERTO1 4 * BLOCK_SIZE , 0 * BLOCK_SIZE
#define DESERTO2 5 * BLOCK_SIZE , 0 * BLOCK_SIZE
#define DESERTO3 5 * BLOCK_SIZE , 1 * BLOCK_SIZE
#define DESERTO4 6 * BLOCK_SIZE , 0 * BLOCK_SIZE
#define DESERTO5 6 * BLOCK_SIZE , 1 * BLOCK_SIZE
#define DESERTO6 7 * BLOCK_SIZE , 0 * BLOCK_SIZE


//bordas de rio
#define BORDAR1 1 * BLOCK_SIZE , 4 * BLOCK_SIZE
#define BORDAR2 2 * BLOCK_SIZE , 4 * BLOCK_SIZE
#define BORDAR3 3 * BLOCK_SIZE , 4 * BLOCK_SIZE
#define BORDAR4 4 * BLOCK_SIZE , 4 * BLOCK_SIZE
#define BORDAR5 5 * BLOCK_SIZE , 4 * BLOCK_SIZE
#define BORDAR6 6 * BLOCK_SIZE , 4 * BLOCK_SIZE
#define BORDAR7 5 * BLOCK_SIZE , 3 * BLOCK_SIZE
#define BORDAR8 6 * BLOCK_SIZE , 3 * BLOCK_SIZE
#define BORDAR9 5 * BLOCK_SIZE , 2 * BLOCK_SIZE
#define BORDAR10 6 * BLOCK_SIZE , 2 * BLOCK_SIZE

#define NULL_TILE  7 * BLOCK_SIZE , 4 * BLOCK_SIZE

#endif // TILE_MACROS_H



/**
relação:


NULL_TILE - -1 - al_map_rgb(0, 0, 0) preto

TERRA1 - 2 - al_map_rgb(128, 64, 0) marrom tom1

TAPETE_VERMELHO - 8 - al_map_rgb(128, 0, 0) vermelho tom1

AGUA - 12 - al_map_rgb(0, 0, 128)
AGUA2 - 20 - al_map_rgb(0, 0, 127) azul tom2

PISO_MAIA - 15 - al_map_rgb(128, 0 ,128 )
PISO5 - 13 - al_map_rgb(10, 10 ,10 )
PISO_CIMENTO2 - 14 - al_map_rgb(201, 201 ,201 )
PISO_XADREZ - 9 - al_map_rgb(128, 128, 128)
PISO_CIMENTO - 10 - al_map_rgb(200, 200, 200)
PISO12 - 11 - al_map_rgb(255, 158, 0) laranja tom 3
PISO1 - 3 - al_map_rgb(255, 128, 0) laranja tom1
PISO2 - 4 - al_map_rgb(128, 20, 0) marrom tom2
PISO3 - 5 - al_map_rgb(0, 255, 255) azul anil
PISO4 - 6 - al_map_rgb(128, 90, 0) marrom tom3
PISO11 - 7 - al_map_rgb(255, 110, 0) laranja tom2

GRAMA1 - 0 - al_map_rgb(0, 128, 0) verde tom1
GRAMA2 - 1 - al_map_rgb(0, 127, 0) verde tom2
GRAMA3 - 17 - al_map_rgb(0, 120 ,0 ) verde tom3
GRAMA4 - 18 - al_map_rgb(0, 121 ,0 ) verde tom4
GRAMA5 - 19 - al_map_rgb(0, 122 ,0 ) verde tom5
GRAMA21 - 21 - al_map_rgb(0, 126, 0) verde tom6

DESERTO1 - 16 - al_map_rgb(255, 255 ,0 )
DESERTO2 - 22 - al_map_rgb(254, 254 ,0 )
DESERTO3 - 23 - al_map_rgb(253, 253 ,0 )
DESERTO4 - 24 - al_map_rgb(252, 252 ,0 )
DESERTO5 - 25 - al_map_rgb(251, 251 ,0 )
DESERTO6 - 26 - al_map_rgb(250, 250 ,0 )
DESERTO7 - 27 - al_map_rgb(249, 249 ,0 )

ESCADA1 - 31 - al_map_rgb(0, 200, 200)
PISO_MADEIRA1 - 32 - al_map_rgb(129, 64, 0)
PISO_MADEIRA2 - 33 - al_map_rgb(130, 64, 0)



*/
